array_column
array_count_values
Array Functions
PHP Manual

# array_combine

(PHP 5, PHP 7)

array_combine — Creates an array by using one array for keys and another for its values

### Description

array array_combine ( array `$keys` , array `$values` )

Creates an array by using the values from the `keys` array as keys and the values from the `values` array as the corresponding values.

### Parameters

`keys`

  Array of keys to be used. Illegal values for key will be converted to string.

`values`

  Array of values to be used

### Return Values

Returns the combined array, `FALSE` if the number of elements for each array isn't equal.

### Errors/Exceptions

Throws `E_WARNING` if the number of elements in `keys` and `values` does not match.

### Changelog

Version | Description
--- | ---
5.4.0 | Previous versions issued `E_WARNING` and returned `FALSE` for empty arrays.

### Examples

Example #1 A simple array_combine() example

`<?php
$a = array('green', 'red', 'yellow');
$b = array('avocado', 'apple', 'banana');
$c = array_combine($a, $b);
print_r($c);
?>`

The above example will output:

    Array
    (
        [green]  => avocado
        [red]    => apple
        [yellow] => banana
    )

### See Also

- array_merge() - Merge one or more arrays
- array_walk() - Apply a user supplied function to every member of an array
- array_values() - Return all the values of an array

array_column
array_count_values
Array Functions
PHP Manual